// Right-click button handler, to dissuade downloading.
document.addEventListener('DOMContentLoaded', () => {
    const $modal = document.querySelector("#rightclick-modal"),
        $button = $modal.querySelector("button"),
        cls = 'is-active';

    (document.querySelectorAll('img, video') || []).forEach(node => {
        node.addEventListener('contextmenu', (e) => {
            $modal.classList.add(cls);
            e.preventDefault();
        });
    });

    $button.addEventListener('click', () => {
        $modal.classList.remove(cls);
    });
});
